Debian Bug report logs - #273316
RM: beaver -- RoM, RoQA; Dead upstream, alternatives available, ould need porting to newer GTK+

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>

Date: Sat, 25 Sep 2004 10:33:02 UTC

Owned by: Chris Sacca <csacca@thecsl.org>

Severity: normal

Tags: confirmed

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, <wnpp@debian.org>:
Bug#273316; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
New Bug report received and forwarded. Copy sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: beaver -- A lightweight text editor
Date: Sat, 25 Sep 2004 15:51:38 +0530 (IST)
Package: wnpp
Severity: normal


Due to lack of time and also due to the fact that I do not use this
package, I am orphaning this package. Note that there is a GTK2
version available for this package (Bug #202539).

I will upload a version with the package maintainer field changed
to debian QA.

Thanks
Ramakrishnan



Changed Bug title. Request was from Chris Sacca <csacca@thecsl.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Chris Sacca <csacca@thecsl.org>. Request was from Chris Sacca <csacca@thecsl.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#273316; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chris Sacca <csacca@thecsl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #14 received at 273316@bugs.debian.org (full text, mbox):

From: Chris Sacca <csacca@thecsl.org>
To: 273316@bugs.debian.org
Subject: [Fwd: Re: Beaver Adoption]
Date: Thu, 10 Feb 2005 09:11:08 -0500
[Message part 1 (text/plain, inline)]

-------- Original Message --------
Subject: 	Re: Beaver Adoption
Date: 	Mon, 07 Feb 2005 14:59:21 -0500
From: 	Chris Sacca <csacca@thecsl.org>
To: 	Ramakrishnan Muthukrishnan <rkrishnan@symonds.net>
References: 	<41FF9E94.5040101@thecsl.org> <86fz0gcjeq.fsf@symonds.net>



Well, I made a package of 0.2.7 that's lintian and linda clean.  It's a 
newer version and has some bug fixes, but I'm not sure if it should 
really be uploaded.  First off, I couldn't get 0.3.1 to compile for me, 
so I wasn't able to make a package closing the GTK2 bug on beaver.  
Secondly, and more importaintly, upstream isn't really alive.

On to the beaver-devel list, the main maintainer said,

>Personally, I have lost a lot of interest in the project.  Beaver seems
>to be a gedit-clone but without many of the features, GNOME
>dependencies, or stability.  Nowadays, I am more of a GNOME convert, so
>I use gedit in my day-to-day editing and have little motivation to
>continue development of Beaver
>  
>
I really like beaver, but I don't really have the time ( or really the 
skills ) to maintian the actual code base.  Given that, what should happen?

My package of beaver 0.2.7 is at http://csacca.thecsl.org/debian/beaver/
but perhaps beaver should be dropped from debian as no one is 
maintaining the code any more.

Thank you for your time and advice,

-- Chris Sacca

---------------------

Ramakrishnan Muthukrishnan wrote:

>Hi Chris,
>
>Just go ahead and make the packages. I will be happy to sponser your packages.
>
>thanks
>
> || On Tue, 01 Feb 2005 10:21:56 -0500
> || Chris Sacca <csacca@thecsl.org> wrote: 
>
> csacca> Hi
> csacca> I am thinking of contributing some effort to the Debian project and I
> csacca> saw that you had orphaned beaver (bug 273316).  I use the version of
> csacca> beaver in Sarge, but am slightly dissatisfied with it (aka bug 202539)
> csacca> and would be happy to package 0.3 from upstream.
>
> csacca> Anyways, I was just writing you to ask you if it would be alright with
> csacca> you if I adopt this package, and perhaps, if I make a good solid
> csacca> package that you find satisfactory, to sponsor it and upload it for me.
>



-- 
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS/S d-(+) s+: a--- C++(++++) UL++(++++$) P++>+++ L++>+++ E---- W++ N
o? K- w--- O? M+ V- PS++ PE- Y+ PGP- t+ 5? X+(-) R+>++ tv- b+ DI+ D---
G e>+++ h!>- r*>++ y+
------END GEEK CODE BLOCK------




-- 
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS/S d-(+) s+: a--- C++(++++) UL++(++++$) P++>+++ L++>+++ E---- W++ N
o? K- w--- O? M+ V- PS++ PE- Y+ PGP- t+ 5? X+(-) R+>++ tv- b+ DI+ D---
G e>+++ h!>- r*>++ y+
------END GEEK CODE BLOCK------

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#273316; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Chris Sacca <csacca@thecsl.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 273316@bugs.debian.org (full text, mbox):

From: Chris Sacca <csacca@thecsl.org>
To: 273316@bugs.debian.org
Subject: [Fwd: Re: Beaver Adoption]
Date: Sun, 13 Feb 2005 17:34:09 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I am letting go of this ITA as the previous maintainer agrees with me
that the package should be let go.

- -- Chris Sacca

- -------- Original Message --------
Subject: Re: Beaver Adoption
Date: Sun, 13 Feb 2005 10:31:59 +0530
From: rkrishnan@symonds.net (Ramakrishnan Muthukrishnan)
Organization: Free Software for the Free World
To: Chris Sacca <csacca@thecsl.org>
References: <41FF9E94.5040101@thecsl.org> <86fz0gcjeq.fsf@symonds.net>
<4207C899.8060708@thecsl.org>

~ || On Mon, 07 Feb 2005 14:59:21 -0500
~ || Chris Sacca <csacca@thecsl.org> wrote:

~ csacca> Well, I made a package of 0.2.7 that's lintian and linda clean.
~ It's
~ csacca> a newer version and has some bug fixes, but I'm not sure if it
should
~ csacca> really be uploaded.  First off, I couldn't get 0.3.1 to
compile for
~ csacca> me, so I wasn't able to make a package closing the GTK2 bug on
beaver.
~ csacca> Secondly, and more importaintly, upstream isn't really alive.

Yes, that was the reason I gave it up. And I don't use beaver too.

~ csacca> I really like beaver, but I don't really have the time ( or
really the
~ csacca> skills ) to maintian the actual code base.  Given that, what
should
~ csacca> happen?

I personally believe, that software which has no upstream maintainership
should
not be in debian, because it will become a maintainance nightmare for
the maintainer.
And there are quite a lot of replacements, so the active usebase will
move on,
rendering the package useless.

~ csacca> My package of beaver 0.2.7 is at
http://csacca.thecsl.org/debian/beaver/
~ csacca> but perhaps beaver should be dropped from debian as no one is
~ csacca> maintaining the code any more.

Yes, that's what I too feel.

- --
~    Ramakrishnan                   http://www.hackGNU.org/
~    Use Free Software -- Help stamp out Software Hoarding!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFCD9Xhy0aWpK/4cBMRAgASAKCY8KK7YKvD/MsI2gJOzPSBJhz6YQCeLkl6
wzDVe3HPEqPss7kAZkoUG4A=
=fRuu
-----END PGP SIGNATURE-----



Changed Bug title. Request was from Chris Sacca <csacca@thecsl.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Chris Sacca <csacca@thecsl.org>:
Bug#273316; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Chris Sacca <csacca@thecsl.org>. Full text and rfc822 format available.

Message #26 received at 273316@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Chris Sacca <csacca@thecsl.org>, 273316@bugs.debian.org
Cc: Ramakrishnan Muthukrishnan <rkrishnan@symonds.net>, control@bugs.debian.org
Subject: Re: Bug#273316: [Fwd: Re: Beaver Adoption]
Date: Sun, 13 Feb 2005 23:58:14 +0100
reassign 273316 ftp.debian.org
retitle 273316 RM: beaver -- RoM, RoQA; Dead upstream, alternatives available, ould need porting to newer GTK+
tags 273316 confirmed
thanks

On Sun, Feb 13, 2005 at 05:34:09PM -0500, Chris Sacca wrote:
> I am letting go of this ITA as the previous maintainer agrees with me
> that the package should be let go.

Ok, filed for removal.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 273316-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 273316-close@bugs.debian.org
Cc: beaver@packages.debian.org, beaver@packages.qa.debian.org
Subject: Bug#273316: fixed
Date: Wed, 16 Mar 2005 01:35:23 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    beaver |    0.2.5-2 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 273316@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:14:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.